<?php
/**
 * Created by JetBrains PhpStorm.
 * User: giovannisalvador
 * Date: 25/06/14
 * Time: 14:54
 * To change this template use File | Settings | File Templates.
 */

namespace Scheduler\Facade;

require_once __DIR__ . '/../Util/Macros.php';
require_once __DIR__ . '/../Facade/ParamWindowFacade.php';

//SchedulerWizardParamBuilder
class SchedulerWizardBuilder {
    // Seta os fields de parâmetros visíveis e require
    public static function setFields($processField="scd_Agen_Tipo",$context="scd_agen_procini_scd_Agen_ProcIni"){
        //deixa todos os campos invisíveis p/ poder escolher os que vão aparecer
        $fieldArray=tk_get_all_fields();
        unset($fieldArray['_ID']);
        unset($fieldArray['_STATE']);
        unset($fieldArray['_CHECKED']);
        \Scheduler\Util\Macros::tk_set_invisible_fields($fieldArray);

        //pegando os parâmetros do processo escolhido e armazenando numa variável de contexto, usada para determinar
        //o que vai ser colocado em PARAMETERS
        $processId=tk_get_context_vars($processField, $context);
        $arrayParams=\Scheduler\Facade\ParamWindowFacade::getFieldsToSet($processId);
        tk_set_env_var("ACTIVE_FIELDS_WIZARD", $arrayParams);

        //preservando os parâmetros pré-atribuidos caso o usuário abra a tela única no meio do wizard
        $arrayAttribs=tk_get_env_var("ATTRIBUTED_PARAMETERS");
        tk_set_env_var("ATTRIBUTED_PARAMETERS_WIZARD",$arrayAttribs);

        //deixa os campos visíveis
        foreach ($arrayParams as $param){
            tk_set_visible_field($param);
            if($param!=="ATTACHMENT"){          //se não for anexo (não-obrigatório)
                tk_set_field_required($param);  //marcar como required (só marca, a verificação é manual)
            }
            if($param==="RECIPIENT"){               //se for recipient
                tk_set_visible_field("CONTACTS");   //mostrar contatos(permite escolher e-mails em OPERADOR)
            }
//            if($param==="PROCEDURE_NAME"){                   //se for procedure
//                tk_set_visible_field("PROCEDURE_DB_NAME");   //mostrar o nome real no banco
//            }
        }
    }

    //Checa os fields dos parâmetros e retorna T/F
//    public static function checkFields(){
//        $activeFields=tk_get_env_var("ACTIVE_FIELDS_WIZARD"); //pega os campos que estão ativos, só vai checar esses
//
//        //pega os parâmetros requeridos pela procedure selecionada
//        try{
//            $currentProcedureParams=tk_get_env_var("CURRENT_PROCEDURE_PARAMS"); //tenta pegar os parametros atuais
//        }
//        catch(\Exception $e){
//            $currentProcedureParams=Array();  //não tem campo de procedure, é outro tipo de processo
//        }
//        $regexEmail="/[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})/"; //regex p/ emails
//
//        $filledCheck=true;  //todos os campos preenchidos
//        $emailCheck=true;   //todos os e-mails corretos
//        $paramCheck=true;   //todos os parâmetros corretos
//
//        foreach($activeFields as $field){          // para cada campo
//            if($field==="RECIPIENT"){     //se for recipient tem que checar se tem e se a sintaxe de todos tá certa
//                $arrayAddresses=explode(",",tk_get_field_value("RECIPIENT"));  //e-mails separados por vírgula
//                if (tk_get_field_value($field)==="" AND tk_get_field_value("CONTACTS")==="N"){
//                    $filledCheck=false;  //está vazio
//                }
//                foreach ($arrayAddresses as $address){ //para cada e-mail
//                    if (preg_match($regexEmail,$address)==0) $emailCheck=false; //se a sintaxe está errada
//                }
//            }
//
//            // se o campo for parameters (de procedure) checa se os parâmetros estão certos
//            else if ($field==="PARAMETERS"){
//
//                //NOTA: uma procedure tem seus próprios parâmetros
//
//                $value=tk_get_field_value($field);//pega o valor do campo
//                $attribs=explode("\n",$value);  //separa cada um dos parâmetros (em PARAMETERS), um por linha
//
//                //explode volta um array com "" se receber ""
//                //tem que converter p/ array (p/ o caso de uma procedure sem parametros)
//                if(empty($attribs[0])) $attribs=Array();
//
//                if(count($attribs) == count($currentProcedureParams)){ //se o nº de params fornecidos=requeridos
//
//                    foreach($attribs as $attrib){
//                        $attribArray=explode("=", $attrib);//separa nome do valor
//
//                        //checa se o nome do parâmetro existe nos requeridos e se o valor não é vazio
//                        $currentParamType=$currentProcedureParams[$attribArray[0]];
//                        $paramCheck=$paramCheck && isset($currentParamType);
//                        $paramCheck=$paramCheck && ParamBuilder::checkParamType($attribArray[1],$currentParamType);
//                    }
//                } else $paramCheck=false; // se o nº não estiver igual está errado
//
//            }
//
//            //se não for nenhum dos dois, não pode estar vazio
//            else if (tk_get_field_value($field)==="" && ($field!=="ATTACHMENT")) $filledCheck=false;
//        }
////        tk_var_dump(preg_match($regex,$address));
//        if ($filledCheck===false) tk_warning("Há campos não preenchidos!");
//        if ($emailCheck===false) tk_warning("Há um e-mail de destinatário inválido!");
//        if ($paramCheck===false){
//            tk_warning("Alguns parâmetros estão incorretos!");
//            \Scheduler\Facade\ParameterFieldManager::loadParameters();
//        }
//        return ($filledCheck AND $emailCheck AND $paramCheck) ;
//    }

//    public static function checkParamType($param, $type){
//
//        switch($type){
//            case "N":
//                return is_numeric($param);
//            case "D":
//                $dateArray=explode("/",$param);
//                $isSysdate=strpos($param,"SYSDATE");
//                return ($isSysdate!==false) || checkdate(str_replace('\'','',$dateArray[1]),str_replace('\'','',$dateArray[0]),str_replace('\'','',$dateArray[2]));
//            default:
//                return ($param!=="") && (strpos($param, "{")===false) && (strpos($param, "}")===false);
//        }
//    }

    public static function getProcedureName(){
        $name=tk_get_field_value("PROCEDURE_NAME");
        tk_set_field_value("PROCEDURE_DB_NAME", $name);
    }
}