<?php

/**
 * GepTextosoli
 *
 * This class has been auto-generated by the Doctrine ORM Framework
 *
 * @package    DbModel
 * @subpackage Model
 * @author     robertomartins - 28/06/2011 12:11:03 <development@setforms.com>
 * @version    SVN: $Id: Builder.php 6508 2009-10-14 06:28:49Z jwage $
 */
class GepTextosoli extends DaoGepTextosoli
{


    /**       ok
     * Consulta os textos lancados para uma determinada solicitacao.
     *
     * @param integer $nrorg Numero da Organizacao.
     * @param integer $soli  Codigo da solicitacao.
     *
     * @return Ambigous <boolean, NULL|boolean
     */
    public static function consultaTextoSoli($nrorg, $soli){
        try {
            $objs = self::getObjectsByWhere(
                'NRORG = ? AND NRSOLICITACAO = ?',
                array(
                 $nrorg,
                 $soli,
                )
            );
            return $objs;
        } catch (Exception $e) {
            showClassError($e, __FUNCTION__, __LINE__);
            return false;
        }
    }


    /**
     * Consulta quais os c?os dos textos parametrizados na GEP_TEXTOSOLIFLUXO que faltam na solicita?.
     *
     * @param integer $nrorg    N?o da Organiza?.
     * @param integer $tp_fluxo Tipo de fluxo.
     * @param integer $soli     N?o da Solicita?.
     *
     * @return multitype:|boolean
     */
    public function retornaTextosFaltantesSoli($nrorg, $tp_fluxo, $soli){
        try {
            $db = TkDbAdapter::getWorkConnection();

            $sql = "SELECT NRTEXTOSOLIFLUXO
                      FROM GEP_TEXTOSOLIFLUXO
                     WHERE NRORG = '".$nrorg."'
                       AND NRTIPOFLUXO = '".$tp_fluxo."'
                       AND DSTITULOTEXTOSOLI NOT IN (SELECT DSTITULOTEXTOSOLI
                                                       FROM GEP_TEXTOSOLI
                                                      WHERE NRORG = '".$nrorg."'
                                                        AND NRSOLICITACAO = '".$soli."')";

            $resultado = $db->execute($sql)->fetchAll();
            return $resultado;
        } catch (Exception $e) {
            showClassError($e, __FUNCTION__, __LINE__);
            return false;
        }
    }


    /**        ok
     * Consulta o maior valor de ordena? entre os textos da solicitacao.
     *
     * @param integer $nrorg Numero da Organizacao.
     * @param integer $soli  Numero da solicitacao.
     *
     * @return multitype:|boolean
     */
    public static function consultaMaiorValorOrdenacaoSoli($nrorg, $soli){
        try {
            $sql = "SELECT MAX(NRORDENATEXTOSOLI) AS MAIOR
                      FROM GEP_TEXTOSOLI
                     WHERE NRORG = $nrorg
                       AND NRSOLICITACAO = $soli";

            $resultado = \Setforms2\Runtime\Connection::getInstance()->fetchAll($sql);
            return $resultado[0]['MAIOR'];
        } catch (Exception $e) {
            showClassError($e, __FUNCTION__, __LINE__);
            return false;
        }
    }


    public static function consultaTexto($nrorg, $cdtexto){
        try {
            $obj = self::getObjectByWhere(
                'NRORG = ? AND NRTEXTOSOLI = ?',
                array(
                    $nrorg,
                    $cdtexto,
                )
            );
            return $obj;
        } catch (Exception $e) {
            showClassError($e, __FUNCTION__, __LINE__);
            return false;
        }
    }


}
