/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TPSV                                                     */
/* Tabela : TIPOSERV                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 18/06/2001 - Newton Neves dos Santos                                       */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_TPSV
BEFORE INSERT OR UPDATE OR DELETE
ON TIPOSERV FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUTPSV := SYSDATE;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATUTPSV := SYSDATE;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TIPOSERV', '', 'CDTIPOSERV='||:OLD.CDTIPOSERV||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE TIPOSERV MODIFY DTULTATUTPSV DEFAULT SYSDATE
/
