
/* Tabela ITEMPRECO: PREO DO ITEM */
/* Descrio: A trigger insere registros na tabela LOGOPERAVND a partir de alteraes na tabela ITEMPRECO */
/* Objetivo: Gerar um log que vai registrar as alteraes na tabela ITEMPRECO,
             utilizando a tabela de Logs de Operaes do VND*/
IF EXISTS (SELECT * FROM SYSOBJECTS O, SYSUSERS U
           WHERE O.NAME = 'LOG_VND_ITEMPRECO' AND
                 TYPE   = 'TR' 	               AND
	              U.UID  = O.UID           AND
	              U.NAME = USER)
DROP TRIGGER LOG_VND_ITEMPRECO
GO


CREATE TRIGGER LOG_VND_ITEMPRECO
ON ITEMPRECO
FOR INSERT, UPDATE, DELETE
AS
  DECLARE @V_DSREMOTEADDR VARCHAR(15);
  DECLARE @V_DSREMOTEHOST VARCHAR(15);
  DECLARE @V_DSSERVERRDM  VARCHAR(20);
  DECLARE @V_DSSERVMETHOD VARCHAR(30);
  DECLARE @V_DSREMOTEOPER VARCHAR(12);
  DECLARE @V_DESC         VARCHAR(500);
  DECLARE @V_ITPESQ       VARCHAR(40);
  DECLARE @V_NMOPERADOR   VARCHAR(40);
  DECLARE @V_IDTIPOOPER   VARCHAR(1);

/*VARIVEIS DO CURSOR C_CURSOR*/

  DECLARE @V_ID_COMANDO    VARCHAR(1);

  DECLARE @V_NEW_CDFILIAL	varchar(4);
  DECLARE @V_NEW_CDTABEPREC	varchar(3);
  DECLARE @V_NEW_DTINIVGPREC	datetime;
  DECLARE @V_NEW_CDPRODUTO	varchar(10);
  DECLARE @V_NEW_CDPRPAITABPR	varchar(10);
  DECLARE @V_NEW_VRPRECITEM	decimal(17);
  DECLARE @V_NEW_VRPRECITEMCL	decimal(17);
  DECLARE @V_NEW_VRPRECMAXITE	decimal(17);
  DECLARE @V_NEW_IDPRECVARIA	varchar(1);
  DECLARE @V_NEW_VRPRESUGITEM	decimal(17);
  DECLARE @V_NEW_VRCUSTITEM	decimal(17);
  DECLARE @V_NEW_VRMKUPITEM	decimal(17);
  DECLARE @V_NEW_IDPRODPROMOC	varchar(1);
  DECLARE @V_NEW_DTULTATUITPR	datetime;
  DECLARE @V_NEW_VRPRECITEMDLV DECIMAL(17);
  DECLARE @V_NEW_VRPRECITEMCMD DECIMAL(17);

  DECLARE @V_OLD_CDFILIAL	varchar(4);
  DECLARE @V_OLD_CDTABEPREC	varchar(3);
  DECLARE @V_OLD_DTINIVGPREC	datetime;
  DECLARE @V_OLD_CDPRODUTO	varchar(10);
  DECLARE @V_OLD_CDPRPAITABPR	varchar(10);
  DECLARE @V_OLD_VRPRECITEM	decimal(17);
  DECLARE @V_OLD_VRPRECITEMCL	decimal(17);
  DECLARE @V_OLD_VRPRECMAXITE	decimal(17);
  DECLARE @V_OLD_IDPRECVARIA	varchar(1);
  DECLARE @V_OLD_VRPRESUGITEM	decimal(17);
  DECLARE @V_OLD_VRCUSTITEM	decimal(17);
  DECLARE @V_OLD_VRMKUPITEM	decimal(17);
  DECLARE @V_OLD_IDPRODPROMOC	varchar(1);
  DECLARE @V_OLD_DTULTATUITPR	datetime;
  DECLARE @V_OLD_VRPRECITEMDLV DECIMAL(17);
  DECLARE @V_OLD_VRPRECITEMCMD DECIMAL(17);

BEGIN
/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/

   SET @V_DESC   = '';
   SET @V_ITPESQ     = '';
   SET @V_NMOPERADOR = '';
   SET @V_IDTIPOOPER = '';

   EXEC NMUSUARIO @P_NMUSUARIO = @V_NMOPERADOR OUTPUT;
   SET @V_NMOPERADOR = ISNULL(@V_NMOPERADOR, ' ');

   EXEC WEBTUNNING  @P_DSREMOTEADDR = @V_DSREMOTEADDR OUTPUT,
                    @P_DSREMOTEHOST = @V_DSREMOTEHOST OUTPUT,
                    @P_DSSERVERRDM  = @V_DSSERVERRDM OUTPUT,
                    @P_DSSERVMETHOD = @V_DSSERVMETHOD OUTPUT,
                    @P_DSREMOTEOPER = @V_DSREMOTEOPER OUTPUT;

   DECLARE C_CURSOR CURSOR FOR
     SELECT
     'D'   ID_COMANDO,
           NULL,NULL,
           NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,
           NULL, NULL,
           DELETED.CDFILIAL,
           DELETED.CDTABEPREC,
           DELETED.DTINIVGPREC,
           DELETED.CDPRODUTO,
           DELETED.CDPRPAITABPR,
           DELETED.VRPRECITEM,
           DELETED.VRPRECITEMCL,
           DELETED.VRPRECMAXITE,
           DELETED.IDPRECVARIA,
           DELETED.VRPRESUGITEM,
           DELETED.VRCUSTITEM,
           DELETED.VRMKUPITEM,
           DELETED.IDPRODPROMOC,
           DELETED.DTULTATUITPR,
           DELETED.VRPRECITEMDLV,
           DELETED.VRPRECITEMCMD

     FROM
           DELETED
     WHERE
           DELETED.CDFILIAL + DELETED.CDTABEPREC + DELETED.CDPRODUTO + DELETED.CDPRPAITABPR NOT IN (SELECT CDFILIAL + CDTABEPREC + CDPRODUTO + CDPRPAITABPR FROM INSERTED) AND
           DELETED.DTINIVGPREC NOT IN (SELECT DTINIVGPREC FROM INSERTED)
     UNION ALL

     SELECT
     'U'   IDCOMANDO,
           INSERTED.CDFILIAL,
           INSERTED.CDTABEPREC,
           INSERTED.DTINIVGPREC,
           INSERTED.CDPRODUTO,
           INSERTED.CDPRPAITABPR,
           INSERTED.VRPRECITEM,
           INSERTED.VRPRECITEMCL,
           INSERTED.VRPRECMAXITE,
           INSERTED.IDPRECVARIA,
           INSERTED.VRPRESUGITEM,
           INSERTED.VRCUSTITEM,
           INSERTED.VRMKUPITEM,
           INSERTED.IDPRODPROMOC,
           INSERTED.DTULTATUITPR,
           INSERTED.VRPRECITEMDLV,
           INSERTED.VRPRECITEMCMD,

           DELETED.CDFILIAL,
           DELETED.CDTABEPREC,
           DELETED.DTINIVGPREC,
           DELETED.CDPRODUTO,
           DELETED.CDPRPAITABPR,
           DELETED.VRPRECITEM,
           DELETED.VRPRECITEMCL,
           DELETED.VRPRECMAXITE,
           DELETED.IDPRECVARIA,
           DELETED.VRPRESUGITEM,
           DELETED.VRCUSTITEM,
           DELETED.VRMKUPITEM,
           DELETED.IDPRODPROMOC,
           DELETED.DTULTATUITPR,
           DELETED.VRPRECITEMDLV,
           DELETED.VRPRECITEMCMD

     FROM
           INSERTED,
           DELETED
     WHERE
           INSERTED.CDFILIAL     = DELETED.CDFILIAL    AND
           INSERTED.CDTABEPREC   = DELETED.CDTABEPREC  AND
           INSERTED.DTINIVGPREC  = DELETED.DTINIVGPREC AND
           INSERTED.CDPRODUTO    = DELETED.CDPRODUTO   AND
           INSERTED.CDPRPAITABPR = DELETED.CDPRPAITABPR

     UNION ALL

     SELECT
     'I'   IDCOMANDO,
           INSERTED.CDFILIAL,
           INSERTED.CDTABEPREC,
           INSERTED.DTINIVGPREC,
           INSERTED.CDPRODUTO,
           INSERTED.CDPRPAITABPR,
           INSERTED.VRPRECITEM,
           INSERTED.VRPRECITEMCL,
           INSERTED.VRPRECMAXITE,
           INSERTED.IDPRECVARIA,
           INSERTED.VRPRESUGITEM,
           INSERTED.VRCUSTITEM,
           INSERTED.VRMKUPITEM,
           INSERTED.IDPRODPROMOC,
           INSERTED.DTULTATUITPR,
           INSERTED.VRPRECITEMDLV,
           INSERTED.VRPRECITEMCMD,
           NULL,NULL,
           NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,
           NULL,NULL,NULL,NULL,
           NULL, NULL

     FROM
           INSERTED
     WHERE
           INSERTED.CDFILIAL + INSERTED.CDTABEPREC + INSERTED.CDPRODUTO + INSERTED.CDPRPAITABPR  NOT IN (SELECT CDFILIAL + CDTABEPREC + CDPRODUTO + CDPRPAITABPR FROM DELETED) AND
	   INSERTED.DTINIVGPREC NOT IN (SELECT DTINIVGPREC FROM DELETED) 

     OPEN C_CURSOR;
     FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
			           @V_NEW_CDFILIAL,@V_NEW_CDTABEPREC,@V_NEW_DTINIVGPREC,@V_NEW_CDPRODUTO,
			           @V_NEW_CDPRPAITABPR,@V_NEW_VRPRECITEM,@V_NEW_VRPRECITEMCL,@V_NEW_VRPRECMAXITE,
			           @V_NEW_IDPRECVARIA,@V_NEW_VRPRESUGITEM,@V_NEW_VRCUSTITEM,@V_NEW_VRMKUPITEM,
			           @V_NEW_IDPRODPROMOC,@V_NEW_DTULTATUITPR, @V_NEW_VRPRECITEMDLV, @V_NEW_VRPRECITEMCMD,

			           @V_OLD_CDFILIAL,@V_OLD_CDTABEPREC,@V_OLD_DTINIVGPREC,@V_OLD_CDPRODUTO,
			           @V_OLD_CDPRPAITABPR,@V_OLD_VRPRECITEM,@V_OLD_VRPRECITEMCL,@V_OLD_VRPRECMAXITE,
			           @V_OLD_IDPRECVARIA,@V_OLD_VRPRESUGITEM,@V_OLD_VRCUSTITEM,@V_OLD_VRMKUPITEM,
			           @V_OLD_IDPRODPROMOC,@V_OLD_DTULTATUITPR, @V_OLD_VRPRECITEMDLV, @V_OLD_VRPRECITEMCMD;

    WHILE (@@FETCH_STATUS = 0) BEGIN
    
       IF @V_ID_COMANDO= 'U' /*UPDATE*/ BEGIN
         IF ISNULL(@V_NEW_CDFILIAL,'NULL') <> ISNULL(@V_OLD_CDFILIAL,'NULL') BEGIN
            SET @V_DESC  = 'Filial '               + ISNULL(@V_NEW_CDFILIAL,''    );
         END;
         IF ISNULL(@V_NEW_CDTABEPREC,'NULL') <> ISNULL(@V_OLD_CDTABEPREC,'NULL') BEGIN
               SET @V_DESC  = ISNULL(@V_DESC,'') + '  Tab Preco '            + ISNULL(@V_NEW_CDTABEPREC,''  );
         END;
         IF ISNULL(CONVERT(VARCHAR,@V_NEW_DTINIVGPREC),'NULL' )  <> ISNULL(CONVERT(VARCHAR,@V_OLD_DTINIVGPREC),'NULL' )  BEGIN
               SET @V_DESC  = ISNULL(@V_DESC,'') + '  Dt Ini Vg Preco '      + ISNULL(CONVERT(VARCHAR,@V_NEW_DTINIVGPREC),'' );
         END;
         IF ISNULL(@V_NEW_CDPRODUTO,'NULL') <> ISNULL(@V_OLD_CDPRODUTO,'NULL') BEGIN
               SET @V_DESC  = ISNULL(@V_DESC,'') + '  Produto  '             + ISNULL(@V_NEW_CDPRODUTO,''   );
         END;
         IF ISNULL(@V_NEW_CDPRPAITABPR,'NULL') <> ISNULL(@V_OLD_CDPRPAITABPR,'NULL') BEGIN
               SET @V_DESC  = ISNULL(@V_DESC,'') + '  Cd Pai TAB Preco  '    + ISNULL(@V_NEW_CDPRPAITABPR,'');
         END;
         IF ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRECITEM),'NULL'  )  <> ISNULL(CONVERT(VARCHAR,@V_OLD_VRPRECITEM),'NULL'  )  BEGIN
               SET @V_DESC  = ISNULL(@V_DESC,'') + '  Vr Preco Item  '      + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRECITEM),''  );
         END;
         IF ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRECITEMCL),'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_VRPRECITEMCL),'NULL') BEGIN
               SET @V_DESC  = ISNULL(@V_DESC,'') + '  Vr Preco Item Cli '    + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRECITEMCL),'');
         END;
         IF ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRECMAXITE),'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_VRPRECMAXITE),'NULL') BEGIN
               SET @V_DESC  = ISNULL(@V_DESC,'') + '  Vr Preco Max Item '    + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRECMAXITE),'');
         END;
         IF ISNULL(@V_NEW_IDPRECVARIA,'NULL') <> ISNULL(@V_OLD_IDPRECVARIA,'NULL') BEGIN
               SET @V_DESC  = ISNULL(@V_DESC,'') + '  Id Preco Variado '     + ISNULL(@V_NEW_IDPRECVARIA,'' ); 
         END;
         IF ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRESUGITEM),'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_VRPRESUGITEM),'NULL')  BEGIN
               SET @V_DESC  = ISNULL(@V_DESC,'') + '  Vr Preco Sug Item '    + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRESUGITEM),'');
         END;
         IF ISNULL(CONVERT(VARCHAR,@V_NEW_VRCUSTITEM),'NULL'  ) <> ISNULL(CONVERT(VARCHAR,@V_OLD_VRCUSTITEM),'NULL'  ) BEGIN
               SET @V_DESC  = ISNULL(@V_DESC,'') + '  Vr Custo Item  '       + ISNULL(CONVERT(VARCHAR,@V_NEW_VRCUSTITEM),''  );
         END;
         IF ISNULL(CONVERT(VARCHAR,@V_NEW_VRMKUPITEM),'NULL'  ) <> ISNULL(CONVERT(VARCHAR,@V_OLD_VRMKUPITEM),'NULL'  ) BEGIN
               SET @V_DESC  = ISNULL(@V_DESC,'') + '  Vr Mkup Item  '        + ISNULL(CONVERT(VARCHAR,@V_NEW_VRMKUPITEM),''  );
         END;
         IF ISNULL(@V_NEW_IDPRODPROMOC,'NULL') <> ISNULL(@V_OLD_IDPRODPROMOC,'NULL') BEGIN
               SET @V_DESC  = ISNULL(@V_DESC,'') + '  Id Prod Promocao  '    + ISNULL(@V_NEW_IDPRODPROMOC,'');
         END;
         IF ISNULL(CONVERT(VARCHAR,@V_NEW_DTULTATUITPR),'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_DTULTATUITPR),'NULL') BEGIN
               SET @V_DESC  = ISNULL(@V_DESC,'') + '  Dt Ult Atu Item Prod ' + ISNULL(CONVERT(VARCHAR,@V_NEW_DTULTATUITPR),'');
         END;
         IF ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRECITEMDLV),'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_VRPRECITEMDLV),'NULL') BEGIN
               SET @V_DESC  = ISNULL(@V_DESC,'') + '  Vr Delivery '    + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRECITEMDLV),'');
         END;
         IF ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRECITEMCMD),'NULL') <> ISNULL(CONVERT(VARCHAR,@V_OLD_VRPRECITEMCMD),'NULL') BEGIN
            SET @V_DESC  = ISNULL(@V_DESC,'') + '  Vr Comanda '    + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRECITEMCMD),'');
		   END;
         SET @V_IDTIPOOPER = '2';
       END;
       IF @V_ID_COMANDO= 'I' /*INSERO*/ BEGIN
          SET @V_DESC  = 'Filial '               + ISNULL(@V_NEW_CDFILIAL,''    )   +  ' '  + 
                  'Tab Preco '            + ISNULL(@V_NEW_CDTABEPREC,''  )   +  ' '  + 
                  'Dt Ini Vg Preco '      + ISNULL(CONVERT(VARCHAR,@V_NEW_DTINIVGPREC),'' )   +  ' '  + 
                  'Produto  '             + ISNULL(@V_NEW_CDPRODUTO,''   )   +  ' '  + 
                  'Cd Pai TAB Preco  '    + ISNULL(@V_NEW_CDPRPAITABPR,'')   +  ' '  + 
                  'Vr Preco Item  '       + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRECITEM),''  )   +  ' '  + 
                  'Vr Preco Item Cli '    + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRECITEMCL),'')   +  ' '  + 
                  'Vr Preco Max Item '    + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRECMAXITE),'')   +  ' '  + 
                  'Id Preco Variado '     + ISNULL(@V_NEW_IDPRECVARIA,'' )   +  ' '  + 
                  'Vr Preco Sug Item '    + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRESUGITEM),'')   +  ' '  + 
                  'Vr Custo Item  '       + ISNULL(CONVERT(VARCHAR,@V_NEW_VRCUSTITEM),''  )   +  ' '  + 
                  'Vr Mkup Item  '        + ISNULL(CONVERT(VARCHAR,@V_NEW_VRMKUPITEM),''  )   +  ' '  + 
                  'Id Prod Promocao  '    + ISNULL(@V_NEW_IDPRODPROMOC,'')   +  ' '  + 
                  'Dt Ult Atu Item Prod ' + ISNULL(CONVERT(VARCHAR,@V_NEW_DTULTATUITPR),'')   +  ' '  + 
                  'Vr Delivery '    + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRECITEMDLV),'')   +  ' '  + 
                  'Vr Comanda '    + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRECITEMCMD),'')   ;

          SET @V_IDTIPOOPER = '1';
       END;
       IF @V_ID_COMANDO= 'D' /*DELEO*/  BEGIN
          SET @V_DESC  = 'Filial '               + ISNULL(@V_OLD_CDFILIAL,''    )   +  ' '  + 
                  'Tab Preco '            + ISNULL(@V_OLD_CDTABEPREC,''  )   +  ' '  + 
                  'Dt Ini Vg Preco '      + ISNULL(CONVERT(VARCHAR,@V_OLD_DTINIVGPREC),'' )   +  ' '  + 
                  'Produto  '             + ISNULL(@V_OLD_CDPRODUTO,''   )   +  ' '  + 
                  'Cd Pai TAB Preco  '    + ISNULL(@V_OLD_CDPRPAITABPR,'')   +  ' '  + 
                  'Vr Preco Item  '       + ISNULL(CONVERT(VARCHAR,@V_OLD_VRPRECITEM),''  )   +  ' '  + 
                  'Vr Preco Item Cli '    + ISNULL(CONVERT(VARCHAR,@V_OLD_VRPRECITEMCL),'')   +  ' '  + 
                  'Vr Preco Max Item '    + ISNULL(CONVERT(VARCHAR,@V_OLD_VRPRECMAXITE),'')   +  ' '  + 
                  'Id Preco Variado '     + ISNULL(@V_OLD_IDPRECVARIA,'' )   +  ' '  + 
                  'Vr Preco Sug Item '    + ISNULL(CONVERT(VARCHAR,@V_OLD_VRPRESUGITEM),'')   +  ' '  + 
                  'Vr Custo Item  '       + ISNULL(CONVERT(VARCHAR,@V_OLD_VRCUSTITEM),''  )   +  ' '  + 
                  'Vr Mkup Item  '        + ISNULL(CONVERT(VARCHAR,@V_OLD_VRMKUPITEM),''  )   +  ' '  + 
                  'Id Prod Promocao  '    + ISNULL(@V_OLD_IDPRODPROMOC,'')   +  ' '  + 
                  'Dt Ult Atu Item Prod ' + ISNULL(CONVERT(VARCHAR,@V_OLD_DTULTATUITPR),'')   +  ' '  + 
                  'Vr Delivery '    + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRECITEMDLV),'')   +  ' '  + 
                  'Vr Comanda '    + ISNULL(CONVERT(VARCHAR,@V_NEW_VRPRECITEMCMD),'')   ;

          SET @V_IDTIPOOPER = '3';
       END;
       IF  (@V_IDTIPOOPER <> '') BEGIN
          IF @V_DESC IS NOT NULL BEGIN
             SET @V_ITPESQ =  ISNULL( @V_NEW_CDFILIAL + @V_NEW_CDTABEPREC + CONVERT(VARCHAR,@V_NEW_DTINIVGPREC) + @V_NEW_CDPRODUTO + @V_NEW_CDPRPAITABPR , @V_OLD_CDFILIAL + @V_OLD_CDTABEPREC + CONVERT(VARCHAR,@V_NEW_DTINIVGPREC) + @V_OLD_CDPRODUTO + @V_OLD_CDPRPAITABPR );
             SET @V_DESC = SUBSTRING(@V_DESC, 1, 300);
             INSERT INTO LOGOPERAVND
                    (NMTABELAVND, DTOPERACAOVND, NMRESPOPERVND, IDTIPOOPERVND, DSOPERACAOVND,
                     CDPESQITEMVND, DSRDMUSUOPERVND, DSENDUSUOPERVND, DSNMUSUOPERVND, DSMETUSUOPERVND,
                     CDORESPOPERVND, CDFILLOGOPERVND)
             VALUES ('ITEMPRECO',GETDATE(), ISNULL(@V_NMOPERADOR,' '), @V_IDTIPOOPER, @V_DESC, @V_ITPESQ,
                     @V_DSSERVERRDM, @V_DSREMOTEADDR, @V_DSREMOTEHOST, @V_DSSERVMETHOD, @V_DSREMOTEOPER,
                     ISNULL(@V_NEW_CDFILIAL,@V_OLD_CDFILIAL));
          END;
       END;
       FETCH NEXT FROM C_CURSOR INTO @V_ID_COMANDO,
			           @V_NEW_CDFILIAL,@V_NEW_CDTABEPREC,@V_NEW_DTINIVGPREC,@V_NEW_CDPRODUTO,
			           @V_NEW_CDPRPAITABPR,@V_NEW_VRPRECITEM,@V_NEW_VRPRECITEMCL,@V_NEW_VRPRECMAXITE,
			           @V_NEW_IDPRECVARIA,@V_NEW_VRPRESUGITEM,@V_NEW_VRCUSTITEM,@V_NEW_VRMKUPITEM,
			           @V_NEW_IDPRODPROMOC,@V_NEW_DTULTATUITPR, @V_NEW_VRPRECITEMDLV, @V_NEW_VRPRECITEMCMD,

			           @V_OLD_CDFILIAL,@V_OLD_CDTABEPREC,@V_OLD_DTINIVGPREC,@V_OLD_CDPRODUTO,
			           @V_OLD_CDPRPAITABPR,@V_OLD_VRPRECITEM,@V_OLD_VRPRECITEMCL,@V_OLD_VRPRECMAXITE,
			           @V_OLD_IDPRECVARIA,@V_OLD_VRPRESUGITEM,@V_OLD_VRCUSTITEM,@V_OLD_VRMKUPITEM,
			           @V_OLD_IDPRODPROMOC,@V_OLD_DTULTATUITPR, @V_OLD_VRPRECITEMDLV, @V_OLD_VRPRECITEMCMD;
    SET @V_DESC   = '';
    END;
    CLOSE      C_CURSOR;
    DEALLOCATE C_CURSOR;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'LOG_VND_ITEMPRECO','6.35.026';
GO
